Kaseya Community

Kaseya no longer supporting Windows 2003

  • It seems that Kaseya has stopped supporting Windows 2003 servers.   Granted it's a 16 year old OS that Microsoft stopped supporting in 2014, but some of us are stuck with clients that are still running them.  Many of them are in manufacturing and running systems that don't support newer OS's.   We still have 32 Windows 2003 server we need to monitor.

    We started having issues with the agents starting with 9.5.0.6.    Every time we reboot the KServer, half the 2003 servers stop checking in.  They have the grey circle icon, and they alarm that they are offline, but somehow we are still able to LiveConnect to them.

    Has anyone else had these issues?   Kaseya support refused to help us because they have taken the stance that they don't support 2003.  After going to our AM, they did make an attempt to correct it by replacing a file in the agent with an old one, but it doesn't work consistently.

    I've gotten to the point where I've disabled the Status alarm on all the 2003 server we monitor, and changed it to a ping check from another server.

    Is anyone else still supporting 2003 servers?  What are you guys doing?

    - Marc

  • I only have 2 in our environment.  I also contacted Kaseya and they simply said they don't support it.  I did the exact same thing as you for alarms.

  • We are pretty large and througout our clients we have about 100 2003 servers. They all go offline at the same time.  We were also given a DLL to copy. To "fix" the issue.  I found we can still remote into it even though its dark. So we have done the same thing and use Logic Monitor to monitor them.

  • At the moment I see 19 old 2003 and 2003 R2 servers in Kaseya, that are working fine. We monitor them being online and even monitoring events and performance works without a hitch. I can't remember any specific action by support to fix this.

    So, entirely unsure why this works, although it's a nice change from having stuff broken, that seems to work well for others...

  • @ OudjesEric - What Agent Version are they on?

  • We are on agent version 9.5.0.8 ( i am a coworker of )

    Kind Regards,

    Youri

  • Well new patch and now new agent 9.5.0.9

    Anyone Know of a easy way to update all agents but skip windows 2003 and XP machines?

  • I would just create a new view with an advanced filter on Operating system to say - "NOT xp and NOT 2003" or similar

    Then with this view selected chose the update agent option on all devices with a distribution window.

  • Any of you still have XP agents then? I got a couple of them. I even installed powershell on them to make sure my agent procedures work well (which they do). But I cant KLC to them, only the legacy webplugin, but that doesn't allow me to run a powershell CLI remotely

    Anyone figured out why KLC cant connect, and is there a remedy for it? Sorry if this is a bit of a hijack =]



    tags
    [edited by: Maurice at 1:43 AM (GMT -8) on Feb 8, 2019]
  • We have customers with a lot of XP agents (POS Ready XP) and we are stuck with using 9.4 until we can get the agents working fully with 9.5, which means we miss out on a lot of the new functionality.

    I'd also be very interested to hear from anybody who has got live connect etc working on XP from 9.5

  • We found that along with replacing the file as others have suggested you need to turn audit / patch scans off for 2003 as that is what was causing the errors on the agent and causing them to go offline. We have a few XP / 2003 left as well as monitoring is working fine but we had to disable any audit / patch scans as well as setup manual Acronis backups as they are no longer controlled through the VSA.

  • That interesting. I'm wondering what i would lose/gain if I went to 9.4. It goes against my nature to downgrade, but I just have too many clients running XP.

    I have a test environment. How do I install 9.4? Its installed with the online downloader right? that just installs the latest version I'm sure.

    Edit: Oh, I would lose the Powershell from Live connect. Thats a no-go for me. Then back to trying to make 9.5 work with xp. 



    edit
    [edited by: Maurice at 1:03 AM (GMT -8) on Feb 11, 2019]